# moderngl_window.resources

moderngl_window.resources.register_dir(path: Path | str) → None

  Adds a resource directory for all resource types

  Parameters:

    path (Union[Path, str]) – Directory path

moderngl_window.resources.register_program_dir(path: Path | str) → None

  Adds a resource directory specifically for programs

  Parameters:

    path (Union[Path, str]) – Directory path

moderngl_window.resources.register_texture_dir(path: Path | str) → None

  Adds a resource directory specifically for textures

  Parameters:

    path (Union[Path, str]) – Directory path

moderngl_window.resources.register_scene_dir(path: Path | str) → None

  Adds a resource directory specifically for scenes

  Parameters:

    path (Union[Path, str]) – Directory path

moderngl_window.resources.register_data_dir(path: Path | str) → None

  Adds a resource directory specifically for data files

  Parameters:

    path (Union[Path, str]) – Directory path

moderngl_window.resources.temporary_dirs(dirs: Path | str)

  Temporarily changes all resource directories

  Example:

      with temporary_dirs([path1, path2, path3]):
          # Load some resource here

  Parameters:

    dirs (Union[Path,str]) –

- base.BaseRegistry
  - `BaseRegistry`
  - Methods
  - Attributes
- textures.Textures
  - `Textures`
  - Methods
  - Attributes
- programs.Programs
  - `Programs`
  - Methods
  - Attributes
- scenes.Scenes
  - `Scenes`
  - Methods
  - Attributes
- base.DataFiles
  - `DataFiles`
  - Methods
  - Attributes